<?php
/*---------------------------------------------------------------*/
/*
    Titre : Vérifier la validité d'une date                                                                             
                                                                                                                          
    URL   : https://phpsources.net/code_s.php?id=16
    Date dition     : 30 Aout 2004                                                                                       
    Date mise  jour : 28 Aout 2019
                                                                                      
    Rapport de la maj:                                                                                                    
    - fonctionnement du code vérifié                                                                                    
*/
/*---------------------------------------------------------------*/
   
    if(!checkdate(2,31,2020))
           echo "Date non valide !";
    // Affiche : Date non valide !

    if(!checkdate(02,31,2020))
           echo "Date non valide !";
    // Affiche : Date non valide !

    if(!checkdate(02,28,2020))
           echo "Date non valide !";
    // Affiche rien, la date est valide

    // Vérification avec masque
    function valideDate($date, $format = 'Y-m-d H:i:s')
    {
        $d = DateTime::createFromFormat($format, $date);
        return $d && $d->format($format) == $date;
    }
?>